#!/usr/bin/python
import web
import os
urls = (
    os.environ['RAINBOW_WEB_PATH'], 'index',
    os.environ['RAINBOW_WEB_PATH'] + '/', 'index',
)

class index:
    def GET(self):
        return "Hello, world!"

class MyApplication(web.application):
    def run(self, port, *middleware):
        func = self.wsgifunc(*middleware)
        return web.httpserver.runsimple(func, ('0.0.0.0', port))

if __name__ == "__main__":
    web.config.debug = False
    app = MyApplication(urls, globals())
    app.run(port=int(os.environ['RAINBOW_PORT_WEB_UI']))

